System.Data 2.0.0.0 System.Enum

cannot be set on non- columns. Setting the property with the default value l on non- columns is permitted. Modifying the column data type from to any other type resets the to the default value .

Checking schema for merging, Relations, and ForeignKeyConstraints can be performed between columns with matching properties. Otherwise the columns should be considered as non-matching on schema. The only exception is between and . It is permitted to have a relation or a ForeignKeyConstraint between two DateTime columns with one in Unspecified and other in UnspecifiedLocal .

Describes the serialization format for columns in a .

- Field
  System.Data.DataSetDateTime

  DateTime is always stored in Local. If or is assigned to a column in this mode, it is first converted into Local. Serialization in this mode is always performed in Local. There is an offset during serialization.

  2.0.0.0
- Field
  System.Data.DataSetDateTime

  DateTime is always stored in Unspecified. If or is assigned to a column in this mode, it is first converted into . Serialization in this mode does not cause an offset.

  2.0.0.0
- Field
  System.Data.DataSetDateTime

  DateTime is stored in Unspecified. If or is assigned to a column in this mode, it is first converted into . Serialization in this mode causes offset. This is the default behavior and is backward compatible. This option should be thought of as being Unspecified in storage but applying an offset that is similar to during serialization.

  2.0.0.0
- Field
  System.Data.DataSetDateTime

  DateTime is stored in Universal Coordinated Time (UTC). If or is assigned to a column in this mode, it is first converted into Utc format. Serialization in this mode is always performed in Utc. There is no offset during serialization.

  2.0.0.0